Subject: Re: draft-ietf-ipv6-privacy-addrs-v2-04

From: [email-masked]
Date: Thu, 02 Jun 2005 11:22:24 -0500 (CDT)

I meant to write DESYNC_FACTOR where you see DESYNC_VALUE in the original mail below. Sorry for the typo! :)

>From: [email-masked]
>Date: Thu Jun 02 11:01:32 CDT 2005
>To: [email-masked]
>Subject: draft-ietf-ipv6-privacy-addrs-v2-04

>Good morning all. I'm aware this draft is in AD Review/AD Follow-up status, and hope this is an appropriate time to raise questions (none being rhetorical) and issues. I'd greatly appreciate technical group feedback on the following:
>
>___
>
>In section 3, it is stated 'Deprecated addresses can continue to be used for already established connections...'. In section 3.6 it is stated '... some applications may not behave robustly if temporary addresses are used and an address expires before the application has terminated, or if it opens multiple sessions but expects them all to use the same addresses.'
>
>It seems to me that given section 3., the only times when the section 3.6 statement would likely be true is if a session is terminated, then a new one is established.
>
>___
>
>In section 3.5, it is stated 'The value DESYNC_FACTOR is a random value (different for each client) that ensures that clients don't synchronize with each other and generate new addresses at exactly the same time.'
>
>How do we really know if DESYNC_VALUE will be different for each client? The answer doesn't seem to be in this draft.
>
>Presuming DESYNC_VALUE to be an integer (0=lower bound, 600 seconds=MAX_DESYNC_FACTOR=upper bound), there would only be 601 possible values. Thus it seems to me the random number generator used to determine this value is fairly limited.
>
>___
>
>Including in section 5., regarding both the TEMP_VALID_LIFETIME and the TEMP_PREFERRED_LIFETIME values: 'Users should be able to override the default value.' Is the network administrator able to override values set by users? It seems to me administrators should have that ability.
>
>___
>
>Best regards,
>
>Tim Enos
>1Sam16:7
>
>--------------------------------------------------------------------
>IETF IPv6 working group mailing list
>[email-masked]
>Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
>--------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------